geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacques Le Roux (JIRA)" <>
Subject [jira] Commented: (GERONIMO-3947) Apache OFBiz deploys and runs under WASCE 2 but not under Geronimo 2.0.1 (nor 2.1)
Date Wed, 02 Apr 2008 22:46:24 GMT


Jacques Le Roux commented on GERONIMO-3947:

Hi Donald,

I retried this morning, and was not able to download. It fails after some MB (near 5 each
time). I tried near than 10 times in all.  Please could you have a look ?

Thanks in advance

> Apache OFBiz deploys and runs under WASCE 2 but not under Geronimo 2.0.1 (nor 2.1)
> ----------------------------------------------------------------------------------
>                 Key: GERONIMO-3947
>                 URL:
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>          Components: deployment
>    Affects Versions: 2.0.1
>         Environment: XP SP2, Java Sun sdk 1.5_011
>            Reporter: Jacques Le Roux
> With deployer tool, I get this error
>     Module was not a war: framework/webtools/webapp/webtools/
> With this WAR (deployed, not in a jar file) through its plan from console, I get this
>     Cannot deploy the requested application module because no deployer is able to handle
>     This can happen if you have omitted the J2EE deployment descriptor, disabled a deployer
module, or if, 
>    for example, you are trying to deploy an EJB module on a minimal Geronimo server that
does not have EJB support installed.  
>    (planFile=C:\Program Files\Apache Software Foundation\geronimo-tomcat6-jee5-2.0.1\var\temp\geronimo-web.xml)
> There is a web.xml used in OFBiz without problems (OFBiz runs with Tomcat embedded) 
> The C:\Program Files\Apache Software Foundation\geronimo-tomcat6-jee5-2.0.1\var\temp\geronimo-web.xml
deployment plan is
> <web-app xmlns=""
>     xmlns:dep=""
>     xmlns:naming=""
>     xmlns:security="">
>     <dep:environment>
>         <dep:moduleId>
>             <dep:groupId>org.ofbiz.webtools</dep:groupId>
>             <dep:artifactId>webtools</dep:artifactId>
>             <dep:version>1.0</dep:version>
>             <dep:type>war</dep:type>
>         </dep:moduleId>
>         <dep:dependencies/>
>         <dep:hidden-classes/>
>         <dep:non-overridable-classes/>
>     </dep:environment>
>     <context-root>/webtools</context-root>
> </web-app>
> Am I missing something ? I thought that, since I got any problems with WASCE 2, it should
work also in Geronimo.
> If you need more information, there is a guidelines at
> Thanks

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message